--[[ 
     ┏┓			┏┓
   ┏┛┻━━━┛┻┓			神兽保佑！代码无BUG！！
 　┃      ━			┃			创建作者：Administrator
 　┃  ┳┛  ┗┳	┃			创建时间：2015年1月18日20时29分16秒
 　┃      ┻ 			┃
 　┗━┓      ┏━┛
 　　　┃      ┗━━━┓	
 　　　┃		更鸟游戏		┣━━━━━━
 　　　┗┓┓┏━┳┓┏┛
 　　　　┗┻┛  ┗┻┛
 ]]

--&支持库演示&1.0&Anshy&需要先引用Anshy.gib文件\n备注信息2

--[[#1#fish#fish类，fish是一种鱼#
new*
创建一个fish类*
string 鱼的名字|
number 鱼的攻击力*
none*
$
getname*
获取鱼的名字*
none*
string 鱼的名字*
]]

--上面就完成了函数的声明
--[[
		一、库信息：库名&版本&作者&备注。\n为换行符  &为分隔符
			如：&支持库演示&1.0&Anshy&备注信息...\n备注信息2...\n备注信息3...
	
		二、分隔符：#为一级分隔符，带4个参数，*为二级分隔符，带4个参数，@为三级分隔符，|为四级
		
		三、#一级分割：共4个参数
			参数一：类型：0方法,1类,2常量
			参数二：库名，上述例子就是fish
			参数三：库描述，如，fish类，fish是一种鱼
			参数四：公开API的详细参数、返回值等

		三、*二级分割：共4个参数
			参数一：API名
			参数二：API描述
			参数三：API的传入参数，如，string 鱼的名字，前面是类型，后面是解释
			参数四：API的返回值，如，string 鱼的攻击力，前面是类型，后面是解释
			none表示无参数，无返回值，见上述例子
		
		四、@三级分割：最大支持9个参数
			IDE支持多个参数写法、多个参数返回值，但参数写法和返回值的数量必须一样，例如：
				参数一 @ 参数二 * none @ none
			这就表示这个函数有2种写法，中间的*号为二级分割，见上述
			
		四、|四级分割：支持无限参数
			例如：string 鱼的名字 | number 鱼的攻击力，这表示改函数有2个参数，就这么简单
]]

fish=class("fish")
function fish:create(鱼的名字,鱼的攻击力)
	self.name=鱼的名字
	self.power=鱼的攻击力
end

function fish:getname()
	return self.name
end

--下面是类的使用，自己新建工程调试去
--a=fish:new("123",123)
--print(a:getname())